import { EntityProvider, EntityProviderConnection } from '@backstage/plugin-catalog-node';
import { EventsService } from '@backstage/plugin-events-node';
import { Logger } from 'winston';
export declare class DemoEventBasedEntityProvider implements EntityProvider {
    private readonly logger;
    private readonly events;
    private readonly topics;
    constructor(opts: {
        events: EventsService;
        logger: Logger;
        topics: string[];
    });
    subscribe(): Promise<void>;
    connect(_: EntityProviderConnection): Promise<void>;
    getProviderName(): string;
}
